DUB-ADD-PATH(1)

NAME
dub-add-path - Adds a default package search path

SYNOPSIS
dub add-path <path> OPTIONS...

DESCRIPTION
Adds a default package search path. All direct sub folders of this path will be searched for package descriptions and will be made available as packages. Using this command has the equivalent effect as calling 'dub add-local' on each of the sub folders manually. Any packages registered using add-path will be preferred over packages downloaded from the package registry when searching for dependencies during a build operation. The version of the packages will be determined by one of the following:
  - For GIT working copies, the last tag (git describe) is used to determine the version
  - If the package contains a "version" field in the package description, this is used
  - If neither of those apply, "~master" is assumed

OPTIONS

--system
    Register system-wide instead of user-wide

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2024 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1), dub-remove-path(1)